<ng-container *ngIf="isEditMode">
  <h1 class="text-xl-semi-bold mb-3">{{ widgetForm.get(enteredWebsiteName)?.value}}</h1>
  <div class="widget-form tld-default-border">
    <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start">
      <mat-tab [label]="'WTW.GENERAL_INTEGRATION.TAB_NAME' | translate">
        <h2 id="edit-title" class="text-xl-semi-bold mb-2 mt-3">{{ 'WTW.GENERAL_INTEGRATION.TITLE' | translate }}</h2>
        <p class="text-l">{{'WTW.GENERAL_INTEGRATION.DESCRIPTION' | translate }}</p>
        <div>
          <div class="row pb-3">
            <div class="col-4">
              <div class="text-l-semi-bold">
                {{ 'WTW.GENERAL_INTEGRATION.1' | translate }}
              </div>
              <div class="text-m">
                {{ 'WTW.GENERAL_INTEGRATION.1_1' | translate }}
              </div>
            </div>
            <div class="col">
              <div class="position-relative code-block">
                <code class="text-m">{{ generalIntegrationCode1 }}</code>
                <button [cdkCopyToClipboard]="generalIntegrationCode1" mat-icon-button class="copy"
                  matTooltip="{{'WTW.COPY' | translate}}" [attr.aria-label]="'WTW.COPY' | translate">
                  <mat-icon>content_copy</mat-icon>
                </button>
              </div>
            </div>
          </div>
          <div class="row py-3">
            <div class="col-4">
              <div class="text-l-semi-bold">{{ 'WTW.GENERAL_INTEGRATION.2' | translate }}</div>
              <div class="text-m">{{ 'WTW.GENERAL_INTEGRATION.2_1' | translate }}</div>
            </div>
            <div class="col-8">
              <div class="position-relative code-block">
                <pre class=" m-0 " tabindex="0"><code class="text-m">{{generalIntegrationResultScript}}</code></pre>
                <button [cdkCopyToClipboard]="generalIntegrationResultScript" mat-icon-button class="copy"
                  matTooltip="{{'WTW.COPY' | translate}}" [attr.aria-label]="'WTW.COPY' | translate">
                  <mat-icon>content_copy</mat-icon>
                </button>
              </div>
            </div>
          </div>
        </div>
        <div class="text-m manage-translations-text" [innerHTML]="'WTW.INTEGRATION_V2_3' | translate:{editorUrl}"></div>

      </mat-tab>
      <mat-tab [label]="'WTW.HYBRID_INTEGRATION.TAB_NAME' | translate">
        <h2 id="edit-title" class="text-xl-semi-bold mb-2 mt-3">{{ 'WTW.HYBRID_INTEGRATION.TITLE' | translate }}</h2>
        <p class="text-l">{{'WTW.HYBRID_INTEGRATION.DESCRIPTION' | translate }}</p>
        <div>
          <div class="row pb-3">
            <div class="col-4">
              <div class="text-l-semi-bold">
                {{ 'WTW.HYBRID_INTEGRATION.1' | translate }}
              </div>
              <div class="text-m">
                {{ 'WTW.HYBRID_INTEGRATION.1_1' | translate }}
              </div>
            </div>
            <div class="col">
              <div class="position-relative code-block">
                <code class="text-m">{{ origin }}</code>
                <button [cdkCopyToClipboard]="origin" mat-icon-button class="copy"
                  matTooltip="{{'WTW.COPY' | translate}}" [attr.aria-label]="'WTW.COPY' | translate">
                  <mat-icon>content_copy</mat-icon>
                </button>
              </div>
            </div>
          </div>
          <div class="row py-3">
            <div class="col-4">
              <div class="text-l-semi-bold">{{ 'WTW.HYBRID_INTEGRATION.2' | translate }}</div>
              <div class="text-m">{{ 'WTW.HYBRID_INTEGRATION.2_1' | translate }}</div>
            </div>
            <div class="col-8">
              <div class="position-relative code-block">
                <pre class=" m-0 "><code class="text-m">{{clientID}}</code></pre>
                <button [cdkCopyToClipboard]="clientID" mat-icon-button class="copy"
                  matTooltip="{{'WTW.COPY' | translate}}" [attr.aria-label]="'WTW.COPY' | translate">
                  <mat-icon>content_copy</mat-icon>
                </button>
              </div>
            </div>
          </div>
        </div>
      </mat-tab>
    </mat-tab-group>


  </div>

</ng-container>

<div class="widget-form tld-default-border">

  <ng-container *ngIf="!isEditMode">
    <h1 class="text-xl-semi-bold mt-3">{{ 'WTW.CREATE_TITLE' | translate }}</h1>
    <p class="text-l">{{'WTW.CREATE_TITLE_DESCRIPTION' | translate }}</p>
  </ng-container>

  <ng-container *ngIf="isEditMode">
    <h2 class="text-xl-semi-bold mt-3">{{ 'WTW.EDIT_WTW' | translate }}</h2>
    <p class="text-l">{{'WTW.EDIT_WTW_DESCRIPTION' | translate }}</p>
  </ng-container>
  <form [formGroup]="widgetForm" (keydown.enter)="$event.preventDefault()" class="mt-5">

    <div class="row mb-3">
      <div class="col-4">
        <div class="text-l-semi-bold">{{'WTW.WEBSITE_NAME' | translate }}</div>
        <div class="text-m">{{'WTW.WEBSITE_NAME_DESCRIPTION' | translate }}</div>
      </div>
      <div class="col">
        <mat-form-field appearance="outline" color="accent" class="w-100 text-m">
          <mat-label>{{'WTW.WEBSITE_NAME_LABEL' | translate }}</mat-label>
          <input matInput [formControlName]="enteredWebsiteName">
          <mat-error
            *ngIf="widgetForm.get(enteredWebsiteName)?.hasError('required') || widgetForm.get(enteredWebsiteName)?.hasError('consistsOfWhitespacesOnly')">
            {{'WTW.PLEASE_ENTER_WEBSITE_NAME' | translate }}
          </mat-error>
          <mat-error
            *ngIf="widgetForm.get(enteredWebsiteName)?.hasError('minlength') || widgetForm.get(enteredWebsiteName)?.hasError('maxlength')">
            {{'WTW.WEBSITE_NAME_LENGTH_ERROR' | translate }}
          </mat-error>
        </mat-form-field>
      </div>
    </div>

    <div class="row mb-3">
      <div class="col-4">
        <div class="text-l-semi-bold">{{ 'WTW.WEBSITE_DOMAIN' | translate }}</div>
        <div class="text-m">{{ 'WTW.WEBSITE_DOMAIN_DESCRIPTION' | translate }}</div>
      </div>

      <div class="col" [formArrayName]="enteredDomains">
        <div *ngFor="let domain of domainFormGroups.controls; let i = index">
          <mat-form-field appearance="outline" class="w-100 text-m mb-2" color="accent">
            <mat-label>{{ 'WTW.ENTER_DOMAIN' | translate }}</mat-label>
            <input #domainField matInput type="text" [formControlName]="i" autocomplete="off" required>
            <button matSuffix [attr.aria-label]="'WTW.REMOVE' | translate" [matTooltip]="'WTW.REMOVE' | translate"
              (click)="removeOrClearDomain(i)" class="remove-btn">
              <mat-icon inline="true">close</mat-icon>
            </button>
            <mat-error *ngIf="domainFormGroups.controls[i].errors?.domainOnlyOne">
              {{ 'WTW.ERROR_SEPARATELY' | translate }}
            </mat-error>
            <mat-error *ngIf="domainFormGroups.controls[i].errors">
              {{ 'WTW.ERROR_VALID_DOMAIN' | translate }}
            </mat-error>
          </mat-form-field>
        </div>
        <button class="float-left mb-3 p-0 domain-button text-m" [class.domain-button-margin]="lastDomainState"
          mat-button [attr.aria-label]="'WTW.ADD' | translate" (click)="addDomainFormGroup()"
          [disabled]="!domainFormGroups.valid">
          <mat-icon>add_circle_outline</mat-icon>
          {{ 'WTW.ADD_DOMAIN' | translate }}
        </button>
      </div>
    </div>


    <div class="row mb-3">
      <div class="col-4">
        <div class="text-l-semi-bold">{{ 'WTW.ORIGINAL_LANGUAGE' | translate }}</div>
        <div class="text-m">{{ 'WTW.ORIGINAL_LANGUAGE_DESCRIPTION' | translate }}</div>
      </div>
      <div class="col">
        <mat-form-field appearance="outline" color="accent" class="w-100 text-m">
          <mat-label>{{ 'WTW.SELECT_LANGUAGE' | translate }}</mat-label>
          <mat-select [formControlName]="selectedSrcLang" (selectionChange)="setTargetLanguages()" required>
            <mat-option
              *ngFor="let sourceLanguage of sourceLangList | sortTranslations: 'LANGUAGES':null:currentLanguage | async;"
              [value]="sourceLanguage" class="text-m">
              {{'LANGUAGES.'+ sourceLanguage | translate}}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="widgetForm.get(selectedSrcLang)?.hasError('required')">
            {{ 'WTW.PLEASE_SELECT_ORIGINAL_LANGUAGE' | translate }}
          </mat-error>
        </mat-form-field>
      </div>
    </div>

    <div class="row mb-3">
      <div class="col-4">
        <div class="text-l-semi-bold">{{ 'WTW.TARGET_LANGUAGES' | translate }}</div>
        <div class="text-m">{{ 'WTW.TARGET_LANGUAGES_DESCRIPTION' | translate }}</div>
      </div>
      <div class="col">

        <mat-form-field appearance="outline" class="w-100 text-m" color="accent">
          <mat-label>{{ 'WTW.TARGET_LANGUAGE_LABEL' | translate }}</mat-label>
          <mat-select [formControlName]="selectedTrgLanguages" multiple required>
            <mat-option
              *ngFor="let targetLanguage of targetLangList | sortTranslations: 'LANGUAGES':null:currentLanguage | async;"
              [value]="targetLanguage" class="text-m">
              {{ 'LANGUAGES.'+ targetLanguage | translate}}
            </mat-option>
          </mat-select>

          <mat-error *ngIf="widgetForm.get(selectedTrgLanguages)?.hasError('required')">
            {{ 'WTW.PLEASE_SELECT_TARGET_LANG' | translate }}
          </mat-error>
        </mat-form-field>
      </div>
    </div>

    <app-engine-selector *ngIf="selectedTrgsWithDomains.controls.length > 0" [widgetForm]="widgetForm">
    </app-engine-selector>
  </form>

  <div class="row mt-3">
    <div class="col offset-4 text-right">
      <div class="action-button-container">
        <button *ngIf="isEditMode" mat-button class="delete-button text-m" (click)="deleteIntegration()">
          <mat-icon>delete_outline</mat-icon>
          {{ 'WTW.DELETE_WEBSITE_TRANSLATOR' | translate }}
        </button>

        <button *ngIf="!isEditMode" mat-flat-button (click)="onCancel()" class="action-button ml-3">
          <ng-container> {{ 'WTW.CANCEL_CREATING_WEBSITE_TRANSLATOR' | translate }}</ng-container>
        </button>

        <button mat-flat-button color="accent" [disabled]="!this.widgetForm.valid" (click)="onSubmit()"
          class="action-button ml-3">
          <ng-container *ngIf="isEditMode">{{ 'WTW.SAVE_CHANGES' | translate }}</ng-container>
          <ng-container *ngIf="!isEditMode"> {{ 'WTW.CREATE_WEBSITE_TRANSLATOR' | translate }}</ng-container>
        </button>
      </div>
    </div>
  </div>

</div>
